package models

type TargetRole string

const (
	TargetRoleProduction TargetRole = "production"
)

type TargetType string

const (
	TargetTypeNetlify TargetType = "netlify"
)

type PublishTarget struct {
	ID        int64
	SiteID    int64
	Role      TargetRole
	Type      TargetType
	URL       string
	TargetRef string
}
