-- name: ListSites :one
SELECT * FROM sites;

-- name: GetSiteWithID :one
SELECT * FROM sites WHERE id = $1 LIMIT 1;

-- name: NewSite :one
INSERT INTO sites (
    name,
    owner_user_id,
    title,
    theme,
    props
) VALUES ($1, $2, $3, $4, $5)
RETURNING id;

-- name: UpdateSite :exec
UPDATE sites SET
    name = $2,
    title = $3,
    theme = $4
WHERE id = $1;